#include "ObjMesh.h"
#include "GunBullet.h"
#include "GunMissle.h"

#define ALIVE 0
#define HIT 1

struct sBoat
{
       sVector pos;
       sVector rotation;
       int state;
};

class CGunBoat
{
      
private:
      CObjMesh model;
      CLinkedList boatList;
      bool generate;
      
public:

      void update();
      void Render();
      void addBoat(sVector pos);
      void setGenerate(bool generate);
      
      CGunBoat();
      ~CGunBoat();
};
